% Making 3d data from the response files
%-------------------------------------------------------------------------
% File name   : making_3d_data_1.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------
%% device 1
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI007_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device1_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device1_3d device1_3d


% !!NAME!!
%% device 2
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI008_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device2_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device2_3d device2_3d


% !!NAME!!
%% device 3
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI025_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device3_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device3_3d device3_3d

% !!NAME!!
%% device 4
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI026_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device4_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device4_3d device4_3d

% !!NAME!!
%% device 5
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI057_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device5_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device5_3d device5_3d


% !!NAME!!
%% device 6
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_093AI098_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device6_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device6_3d device6_3d


% !!NAME!!
%% device 7
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI126_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device7_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device7_3d device7_3d


% !!NAME!!
%% device 8
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI127_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device8_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device8_3d device8_3d

% !!NAME!!
%% device 9
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI128_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device9_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device9_3d device9_3d

% !!NAME!!
%% device 10
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI129_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device10_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device10_3d device10_3d

%%% 1010



% !!NAME!!
%% device 11
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI130_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device11_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device11_3d device11_3d


% !!NAME!!
%% device 12
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI132_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device12_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device12_3d device12_3d


% !!NAME!!
%% device 13
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI133_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device13_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device13_3d device13_3d

% !!NAME!!
%% device 14
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI134_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device14_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device14_3d device14_3d

% !!NAME!!
%% device 15
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI135_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device15_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device15_3d device15_3d


% !!NAME!!
%% device 16
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI136_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device16_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device16_3d device16_3d


% !!NAME!!
%% device 17
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI142_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device17_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device17_3d device17_3d


% !!NAME!!
%% device 18
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI143_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device18_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device18_3d device18_3d

% !!NAME!!
%% device 19
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI144_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device19_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device19_3d device19_3d

% !!NAME!!
%% device 20
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI145_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device20_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device20_3d device20_3d

%%%  2020

% !!NAME!!
%% device 21
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI146_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device21_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device21_3d device21_3d


% !!NAME!!
%% device 22
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI149_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device22_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device22_3d device22_3d


% !!NAME!!
%% device 23
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI150_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device23_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device23_3d device23_3d

% !!NAME!!
%% device 24
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI152_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device24_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device24_3d device24_3d

% !!NAME!!
%% device 25
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI153_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device25_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device25_3d device25_3d


% !!NAME!!
%% device 26
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI154_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device26_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device26_3d device26_3d


% !!NAME!!
%% device 27
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI155_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device27_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device27_3d device27_3d


% !!NAME!!
%% device 28
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI156_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device28_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device28_3d device28_3d

% !!NAME!!
%% device 29
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI159_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device29_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device29_3d device29_3d

% !!NAME!!
%% device 30
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI161_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device30_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device30_3d device30_3d

%%% 303030



% !!NAME!!
%% device 31
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI162_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device31_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device31_3d device31_3d


% !!NAME!!
%% device 32
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI163_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device32_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device32_3d device32_3d


% !!NAME!!
%% device 33
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI164_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device33_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device33_3d device33_3d

% !!NAME!!
%% device 34
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI165_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device34_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device34_3d device34_3d

% !!NAME!!
%% device 35
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI166_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device35_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device35_3d device35_3d


% !!NAME!!
%% device 36
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_101AI169_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device36_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device36_3d device36_3d


% !!NAME!!
%% device 37
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI189_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device37_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device37_3d device37_3d


% !!NAME!!
%% device 38
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI190_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device38_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device38_3d device38_3d

% !!NAME!!
%% device 39
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI191_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device39_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device39_3d device39_3d

% !!NAME!!
%% device 40
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI192_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device40_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device40_3d device40_3d

%%%  40404040


% !!NAME!!
%% device 41
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI193_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device41_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device41_3d device41_3d

% !!NAME!!
%% device 42
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI194_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device42_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device42_3d device42_3d


% !!NAME!!
%% device 43
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI195_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device43_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device43_3d device43_3d

% !!NAME!!
%% device 44
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI196_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device44_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device44_3d device44_3d


% !!NAME!!
%% device 45
clc
clear

% !!NAME!!
[fid1,message]=fopen('Puf_103AI207_1.0500V_Seed=0_IDLen=128_ChLen=64_IDNum=1024_TestPerID=1024','r');
p1 = fread(fid1, 'uint8');   % p1: 16*1024*1024 =16777216 by 1 decimal number
fclose(fid1);
[x1 y1] = size(p1);
x = x1/16;
p1 = reshape(p1,16,x)';  % p1: 1048576 by 16 decimal number

to_id = 1024;  % total ID
to_te = 1024;  % total test

% 3D data  => Id * test * 128bits
se = 0;
for i=1:to_id
    for j=1:to_te
      % !!NAME!!  
      device45_3d(i,j,:) = p1(to_id * se + i,:);   % 1024 * 1024 * 16
      se = se + 1;
    end
    se = 0;
end

% !!NAME!!
save device45_3d device45_3d

