% Hamming distance
%-------------------------------------------------------------------------
% File name   : match_id.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------

function score = match_id(I,T)

I1(1,:) = I(1,1,:);
T1(1,:) = T(1,1,:);

% !! counting 
dbx1 = bitxor(uint8(I1),uint8(T1));
dbx = 0;
for i=1:16
    a = bitget(dbx1(i),8:-1:1);
    dbx = dbx + sum(a);
end

if isempty(dbx) == 1
%if length(dbx) == 0
    score = 0;
    return
end
score = dbx;


